<template lang="pug">
.b-modal.modal.fade(tabindex='-1' role='dialog' aria-hidden='true'
                    data-keyboard='false' data-backdrop='static')
  .modal-dialog.modal-dialog-centered.modal-xl(role='document')
    .modal-content
      .modal-header
        slot(name='title')
          h5.modal-title {{ title }}
          |
          button.close(type='button' data-dismiss='modal' aria-label='Close')
            kbd.align-middle.ml-auto.mr-2(v-if="showKeyHints") Esc
            span(aria-hidden='true') &times;
      .modal-body.overflow-auto
        slot(name='default')
      .modal-footer(v-if='hasSlot("footer")')
        slot(name='footer')
</template>
<script>
export { default } from "./BaseModal.vue.js";
</script>
<style>
.b-modal {
  z-index: 1051;
}

.b-modal .modal-content {
  max-height: 90vh;
}
</style>
